<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];		
$id_autoriza=85;
?>
<?
/*Sesiones*/
include("../conex.php");
include("../autoriza.php");

// calculo de fecha rotacion 3 ultimos meses
		$unixtime = time();
		$settime = $unixtime;
		$mi_dia = date("d",$settime);
		$mi_mes = date("m",$settime);
		$mi_ano = date("Y",$settime); 
		$fecha= $mi_ano."-".$mi_mes."-".$mi_dia;    //  hoy
        $unixtime = time();
		$settime = $unixtime  - ( 86400*$mi_dia);
		$mi_dia2 = date("d",$settime);
		$mi_mes2 = date("m",$settime);
		$mi_ano2 = date("Y",$settime); 
		$fin = $mi_ano2."-".$mi_mes2."-".$mi_dia2;    //  Mes anterior
        $settime = $unixtime  - ( 86400*(90+$mi_dia+1));
		$mi_dia2 = date("d",$settime);
		$mi_mes2 = date("m",$settime);
		$mi_ano2 = date("Y",$settime); 
		$ini = $mi_ano2."-".$mi_mes2."-".$mi_dia2;    //  3 meses atras


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Lista de productos</title>

<style type="text/css">
<!--
.Estilo7 {
	font-size: small;
	color: #000099;
}
.Estilo11 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: small; color: #000099; }
.Estilo13 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9px;
	color: #000099;
	text-decoration: underline;
}
.Estilo14 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	color: #000099;
}
-->
</style>
<link href="../hojadeestilosjc.css" rel="stylesheet" type="text/css">
</head>

<body>
<table border="0" width="100%">
	<tr>
		<td><div id="botones" style="display:block" align="center" >
         <input name="Imprimir" type="button" class="botones" value="Imprimir" onClick="imprimir_formulario();">
		</div></td>
	</tr>
	<tr>
		<td><div align="center">Stock v/s Venta Media (SELL OUT) <?=$ini;?> a <?=$fin;?></div></td>
	</tr>
</table>
<form id="form1" name="form1" method="post" action="">

<br>
<table width="90%" height="80%" border="1" align="center" cellspacing="0">
  <tr bgcolor="#00CCFF" class="detalle_tablas_II_negrita" style="font-size:12px">
    <th width="18%" scope="col">C&oacute;digo</th>
    <th width="46%" scope="col">Producto</th>
    <th width="8%" scope="col">Stock Cant</th>
     <th width="8%" scope="col">Stock Kilos</th>
     <th width="8%" scope="col">Promedio 3meses</th>
     <th width="8%" scope="col">Dias Inv</th>
</tr>
<?
$cont=0;
$total_kilos=0;
$sql_lp = "SELECT codigo, descripcion, precio, saldo, peso FROM productos ORDER BY descripcion";
$resultado = mysql_query($sql_lp,$enlace);
while (mysql_fetch_object ($resultado))
	{
	$cod_producto=mysql_result($resultado, $cont, "codigo");
	$peso=mysql_result($resultado, $cont, "peso");
	$saldo=mysql_result($resultado, $cont, "saldo");
	
	$sqlfs = "select sum(cantidad) as v_kilos FROM salida,  movimiento WHERE movimiento.cod_producto=$cod_producto AND (fecha_emision>='$ini' and fecha_emision<='$fin') and (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7') AND salida.id = movimiento.id_soe and movimiento.entrada_salida_traspaso='S'";
	$res = mysql_query($sqlfs,$enlace);
while (mysql_fetch_object ($res))
	{
      $kilos3=mysql_result($res, 0, "v_kilos")*$peso/3;    //promedio ultimos 3 meses
	}
	
	$total_kilos+=$peso*$saldo;
	
?>

	<tr bgcolor="#CBFEC2">
		<td class="Estilo14"><div align="left">
      		<strong><?=$cod_producto?></strong>
    	</div></td>
		<td class="Estilo14"><div align="left">
            <strong><?=mysql_result($resultado, $cont, "descripcion");?></strong>
        </div></td>
		<td class="Estilo14"><div align="right">
            <strong><?=$saldo?></strong>
        </div></td>
        <td class="Estilo14"><div align="right">
            <strong><?=$peso*$saldo?></strong>
        </div></td>
		 <td class="Estilo14"><div align="right">
            <strong><?=number_format($kilos3,0,',','.')?></strong>
        </div></td>
         <td class="Estilo14"><div align="right">
  <strong><?=number_format(($saldo*$peso)/($kilos3/30),0,',','.')?></strong>
            	
        </div></td>
	</tr>
	<?
	$cont=$cont+1;
	}
	$total_kilos=number_format($total_kilos,0,',','.');
	?>
	<tr bgcolor="#CBFEC2">
		<td class="Estilo14"><div align="left"> </div></td>
		<td class="Estilo14"><div align="left">  </div></td>
		<td class="Estilo14"><div align="right">Total Kilos</div></td>
        <td class="Estilo14"><div align="right">
            <strong><?=$total_kilos;?></strong>
        </div></td>
		
	</tr>
	</table>
</form>
</body>
</html>
<script language="Javascript">
<!--
function imprimir_formulario(){
document.getElementById('botones').style.display = "none";
window.print();
document.getElementById('botones').style.display = "block";
};
function enviar(aux){
	document.form1.action = aux;
	document.form1.submit();
} 

</script>

